Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007777TestLinkBuild Managementpublic2016-12-07 07:502017-01-22 08:06
Reportermkn_hin 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformXAMPPOSWindowsOS Version7
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007777: Fatal error when aborting creation of new build
DescriptionWhen the page for creating a new build is closed via the "Cancel" button following error is shown:

Fatal error: Uncaught Exception: Abort Test Plan ID == 0 in C:\xampp\htdocs\testlink\lib\plan\buildView.php:32 Stack trace: #0 C:\xampp\htdocs\testlink\lib\plan\buildView.php(19): initEnv(Object(database)) #1 {main} thrown in C:\xampp\htdocs\testlink\lib\plan\buildView.php on line 32
Steps To Reproduce1. In section "Test Plan" click on "Builds / Releases"
2. "Build management" page is shown. Click on "Create"
3. "Create a new Build" page is shown. Click on "Cancel"

Now the above fatal error is shown.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 50
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007666closedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025692)
fman (administrator)
2016-12-07 16:31

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/9e93dc36992b7614035097e596b9ff09904f0458 [^]

please apply fix, retest and provide feedback
(0025697)
mkn_hin (reporter)
2016-12-08 07:03

Looks good!! Thanks!!
(0025885)
fman (administrator)
2017-01-22 08:06

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-12-07 07:50 mkn_hin New Issue
2016-12-07 16:30 fman QA Team - Task Workflow Status => TBD
2016-12-07 16:30 fman Assigned To => fman
2016-12-07 16:30 fman Status new => assigned
2016-12-07 16:30 fman Fixed in Version => 1.9.16 (2016 Q4)
2016-12-07 16:31 fman Note Added: 0025692
2016-12-07 16:31 fman Status assigned => feedback
2016-12-07 16:31 fman Relationship added child of 0007666
2016-12-08 07:03 mkn_hin Note Added: 0025697
2016-12-08 07:03 mkn_hin Status feedback => assigned
2016-12-11 14:54 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-12-11 14:54 fman Status assigned => resolved
2016-12-11 14:54 fman Resolution open => fixed
2017-01-22 08:06 fman Note Added: 0025885
2017-01-22 08:06 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker